## openalgz-ut 1.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.24)

include(cmake/prelude.cmake)

project(
    ut
    VERSION 1.0.0
    LANGUAGES CXX
)

include(cmake/project-is-top-level.cmake)
include(cmake/variables.cmake)

add_library(${PROJECT_NAME}_${PROJECT_NAME} INTERFACE)
add_library(${PROJECT_NAME}::${PROJECT_NAME} ALIAS ${PROJECT_NAME}_${PROJECT_NAME})

if (MSVC)
   string(REGEX MATCH "\/cl(.exe)?$" matched_cl ${CMAKE_CXX_COMPILER})
   if (matched_cl)
      # for a C++ standards compliant preprocessor, not needed for clang-cl
      target_compile_options(${PROJECT_NAME}_${PROJECT_NAME} INTERFACE "/Zc:preprocessor" /GL /permissive- /Zc:lambda)
      target_link_options(${PROJECT_NAME}_${PROJECT_NAME} INTERFACE /LTCG /INCREMENTAL:NO)
   endif()
endif()

set_property(TARGET ${PROJECT_NAME}_${PROJECT_NAME} PROPERTY EXPORT_NAME ${PROJECT_NAME})

target_compile_features(${PROJECT_NAME}_${PROJECT_NAME} INTERFACE cxx_std_20)
target_include_directories(
   ${PROJECT_NAME}_${PROJECT_NAME} ${warning_guard}
    INTERFACE "$<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>"
)

if(NOT CMAKE_SKIP_INSTALL_RULES)
  include(cmake/install-rules.cmake)
endif()

if (PROJECT_IS_TOP_LEVEL)
  include(cmake/dev-mode.cmake)
endif()

=== debian/changelog ===
openalgz-ut (1.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1117253)

 -- Carl Keinath <carl.keinath@gmail.com>  Wed, 22 Oct 2025 19:08:00 +0200

=== debian/control ===
Source: openalgz-ut
Section: libdevel
Priority: optional
Maintainer: Carl Keinath <carl.keinath@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 cmake,
Standards-Version: 4.7.2
Homepage: https://github.com/openalgz/ut
Vcs-Browser: https://salsa.debian.org/carlo711/openalgz-ut
Vcs-Git: https://salsa.debian.org/carlo711/openalgz-ut.git

Package: libopenalgz-ut-dev
Multi-Arch: foreign
Architecture: all
Depends:
 ${misc:Depends},
Description: Unit test library for C++20 and later, based on qlibs/ut
 Header-only and thread-safe testing framework derived from qlibs/ut,
 providing cross-platform support and simple integration.

## openalgz-ut 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 project(
     ut
-    VERSION 1.0.0
+    VERSION 1.1.0
     LANGUAGES CXX
 )
 
@@ -25,7 +25,7 @@
 
 set_property(TARGET ${PROJECT_NAME}_${PROJECT_NAME} PROPERTY EXPORT_NAME ${PROJECT_NAME})
 
-target_compile_features(${PROJECT_NAME}_${PROJECT_NAME} INTERFACE cxx_std_20)
+target_compile_features(${PROJECT_NAME}_${PROJECT_NAME} INTERFACE cxx_std_23)
 target_include_directories(
    ${PROJECT_NAME}_${PROJECT_NAME} ${warning_guard}
     INTERFACE "$<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>"

=== debian/changelog ===
openalgz-ut (1.1.0-1) unstable; urgency=medium

  * New upstream release
  * refresh use-unique-project-name patch
  * d/tests: replicate upstream testsuite
  * d/control: S-V to 4.7.3, remove Priority and RRR

 -- Carl Keinath <carl.keinath@gmail.com>  Mon, 16 Feb 2026 17:42:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: openalgz-ut
 Section: libdevel
-Priority: optional
 Maintainer: Carl Keinath <carl.keinath@gmail.com>
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  cmake,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/openalgz/ut
-Vcs-Browser: https://salsa.debian.org/carlo711/openalgz-ut
-Vcs-Git: https://salsa.debian.org/carlo711/openalgz-ut.git
+Vcs-Browser: https://salsa.debian.org/carlo/openalgz-ut
+Vcs-Git: https://salsa.debian.org/carlo/openalgz-ut.git
 
 Package: libopenalgz-ut-dev
 Multi-Arch: foreign

=== debian/rules ===
#!/usr/bin/make -f


%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_INSTALL_INCLUDEDIR=/usr/include \
	-Dzb8_INSTALL_CMAKEDIR=/usr/lib/cmake/openalgz-ut

=== debian/tests/control ===
Tests: upstream-tests
Depends: @,
         cmake,
         g++,
# import boost-ext-ut to check for side effects
         libboost-ext-ut-dev

=== debian/watch ===
Version: 5

Template: Github
Owner: openalgz
Project: ut
